from sykdom import Sykdom

class Sykdomskatalog:
    def __init__(self, filnavn):
        self._sykdommer = {}
        self._les_fra_fil(filnavn)

    def sjekk_mutasjon(self, posisjon):
        for sykdomsnavn in self._sykdommer:
            sykdom = self._sykdommer[sykdomsnavn]
            sykdom.er_assosiert(posisjon)

    def skriv_sykdoms_treff(self):
        for sykdomsnavn in self._sykdommer:
            sykdom = self._sykdommer[sykdomsnavn]
            print(sykdomsnavn, sykdom.hent_antall_treff() )

    def _les_fra_fil(self, filnavn):
        fil = open(filnavn)
        for linje in fil:
            biter = linje.strip().split(',')
            posisjon = int(biter[0])
            sykdomsnavn = biter[1]
            if sykdomsnavn not in self._sykdommer:
                self._sykdommer[sykdomsnavn] = Sykdom(sykdomsnavn)

            sykdom = self._sykdommer[sykdomsnavn]
            sykdom.legg_til_posisjon(posisjon)
